Compare commits

...

10 Commits

Author SHA1 Message Date
Taiki Endo
fc9582d417 Release 2.49.36 2025-03-27 09:45:53 +09:00
Taiki Endo
7719e6f679 Update release-plz@latest to 0.3.129 2025-03-27 09:32:05 +09:00
Taiki Endo
aa3aa1fbea Update protoc@latest to 3.30.2 2025-03-27 09:32:05 +09:00
Taiki Endo
49b013c5cc tools: Pin cspell to 8.17.5
8.18.0 is broken.

```
Linter Error: Invalid URL
```
2025-03-27 09:22:10 +09:00
Taiki Endo
5651179950 Release 2.49.35 2025-03-25 10:26:30 +09:00
Taiki Endo
7fde8f2137 Update cargo-nextest@latest to 0.9.93 2025-03-25 09:33:21 +09:00
Taiki Endo
3c9b6296bb Update typos@latest to 1.30.3 2025-03-25 06:11:40 +09:00
Taiki Endo
1dd920e054 Update wash@latest to 0.41.0 2025-03-25 03:16:01 +09:00
Taiki Endo
914ac1e29d Release 2.49.34 2025-03-24 10:34:45 +09:00
Taiki Endo
63913c9c7c Update knope@latest to 0.19.0 2025-03-24 06:11:35 +09:00
8 changed files with 192 additions and 18 deletions

View File

@@ -10,6 +10,24 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased] ## [Unreleased]
## [2.49.36] - 2025-03-27
- Update `release-plz@latest` to 0.3.129.
- Update `protoc@latest` to 3.30.2.
## [2.49.35] - 2025-03-25
- Update `cargo-nextest@latest` to 0.9.93.
- Update `typos@latest` to 1.30.3.
- Update `wash@latest` to 0.41.0.
## [2.49.34] - 2025-03-24
- Update `knope@latest` to 0.19.0.
## [2.49.33] - 2025-03-23 ## [2.49.33] - 2025-03-23
- Update `release-plz@latest` to 0.3.128. - Update `release-plz@latest` to 0.3.128.
@@ -3720,7 +3738,10 @@ Note: This release is considered a breaking change because installing on version
Initial release Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.49.33...HEAD [Unreleased]: https://github.com/taiki-e/install-action/compare/v2.49.36...HEAD
[2.49.36]: https://github.com/taiki-e/install-action/compare/v2.49.35...v2.49.36
[2.49.35]: https://github.com/taiki-e/install-action/compare/v2.49.34...v2.49.35
[2.49.34]: https://github.com/taiki-e/install-action/compare/v2.49.33...v2.49.34
[2.49.33]: https://github.com/taiki-e/install-action/compare/v2.49.32...v2.49.33 [2.49.33]: https://github.com/taiki-e/install-action/compare/v2.49.32...v2.49.33
[2.49.32]: https://github.com/taiki-e/install-action/compare/v2.49.31...v2.49.32 [2.49.32]: https://github.com/taiki-e/install-action/compare/v2.49.31...v2.49.32
[2.49.31]: https://github.com/taiki-e/install-action/compare/v2.49.30...v2.49.31 [2.49.31]: https://github.com/taiki-e/install-action/compare/v2.49.30...v2.49.31

View File

@@ -19,10 +19,33 @@
}, },
"license_markdown": "[Apache-2.0](https://github.com/nextest-rs/nextest/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/nextest-rs/nextest/blob/main/LICENSE-MIT)", "license_markdown": "[Apache-2.0](https://github.com/nextest-rs/nextest/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/nextest-rs/nextest/blob/main/LICENSE-MIT)",
"latest": { "latest": {
"version": "0.9.92" "version": "0.9.93"
}, },
"0.9": { "0.9": {
"version": "0.9.92" "version": "0.9.93"
},
"0.9.93": {
"previous_stable_version": "0.9.92",
"x86_64_linux_gnu": {
"etag": "0x8DD6B207F13B60C",
"checksum": "b547ea40a4e0e9ced5c1f040f4525647240044c9312d81b8df613291586e0a2f"
},
"x86_64_linux_musl": {
"etag": "0x8DD6B21059D11CB",
"checksum": "5a8c0b9682f5bacd75c2e92f906f0ce616a75615b61e52276735f0da96a3578a"
},
"x86_64_macos": {
"etag": "0x8DD6B20A082680E",
"checksum": "84a43cec5bd80c2629b877b25e4ed9f57e060e363fe704e3da09a1b6d43097e2"
},
"x86_64_windows": {
"etag": "0x8DD6B21166FBDA2",
"checksum": "e62479142fa7fd8fef5e2039d90e1643d1f5e46a3b4edcfba674ed49e2868cc2"
},
"aarch64_linux_gnu": {
"etag": "0x8DD6B20D7191EDE",
"checksum": "1ee975e7dadc0d3d439011d4bdbe4b597b197159387555085c68eb40322a0f94"
}
}, },
"0.9.92": { "0.9.92": {
"previous_stable_version": "0.9.91", "previous_stable_version": "0.9.91",

31
manifests/knope.json generated
View File

@@ -3,7 +3,36 @@
"template": null, "template": null,
"license_markdown": "[MIT](https://github.com/knope-dev/knope/blob/main/LICENSE)", "license_markdown": "[MIT](https://github.com/knope-dev/knope/blob/main/LICENSE)",
"latest": { "latest": {
"version": "0.18.5" "version": "0.19.0"
},
"0.19": {
"version": "0.19.0"
},
"0.19.0": {
"x86_64_linux_musl": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.19.0/knope-x86_64-unknown-linux-musl.tgz",
"etag": "0x8DD6A4E677301F2",
"checksum": "f955fb841000d1e3fba7da3aefd7999bf45cc2dd8c92c2b592b1693138dceae7",
"bin": "knope-x86_64-unknown-linux-musl/knope"
},
"x86_64_macos": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.19.0/knope-x86_64-apple-darwin.tgz",
"etag": "0x8DD6A4E676B695D",
"checksum": "e04e54ed96e463543fd4e7e570c2134144750df9d295bdcc410c6872ac6b6e5a",
"bin": "knope-x86_64-apple-darwin/knope"
},
"x86_64_windows": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.19.0/knope-x86_64-pc-windows-msvc.tgz",
"etag": "0x8DD6A4E676A0B53",
"checksum": "004a53b96044cd334a353ee365a518f1f5f41ab50070bbdab436e7d4940cac29",
"bin": "knope-x86_64-pc-windows-msvc/knope.exe"
},
"aarch64_macos": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.19.0/knope-aarch64-apple-darwin.tgz",
"etag": "0x8DD6A4E676AA6E2",
"checksum": "08752c1819d5be621372e81e2169593bb4eb085590846c015d0c95fc42143be7",
"bin": "knope-aarch64-apple-darwin/knope"
}
}, },
"0.18": { "0.18": {
"version": "0.18.5" "version": "0.18.5"

33
manifests/protoc.json generated
View File

@@ -3,13 +3,40 @@
"template": null, "template": null,
"license_markdown": "[BSD-3-Clause](https://github.com/protocolbuffers/protobuf/blob/HEAD/LICENSE)", "license_markdown": "[BSD-3-Clause](https://github.com/protocolbuffers/protobuf/blob/HEAD/LICENSE)",
"latest": { "latest": {
"version": "3.30.1" "version": "3.30.2"
}, },
"3": { "3": {
"version": "3.30.1" "version": "3.30.2"
}, },
"3.30": { "3.30": {
"version": "3.30.1" "version": "3.30.2"
},
"3.30.2": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v30.2/protoc-30.2-linux-x86_64.zip",
"etag": "0x8DD6C95ABA7434D",
"checksum": "327e9397c6fb3ea2a542513a3221334c6f76f7aa524a7d2561142b67b312a01f"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v30.2/protoc-30.2-osx-x86_64.zip",
"etag": "0x8DD6C95ABC83AC0",
"checksum": "65675c3bb874a2d5f0c941e61bce6175090be25fe466f0ec2d4a6f5978333624"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v30.2/protoc-30.2-win64.zip",
"etag": "0x8DD6C95ABF532A9",
"checksum": "10f35df7722a69dde8ee92b4a16a4e1cc91cfce82fbb4a371bd046de139aa4a9"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v30.2/protoc-30.2-linux-aarch_64.zip",
"etag": "0x8DD6C95AB4483C2",
"checksum": "a3173ea338ef91b1605b88c4f8120d6c8ccf36f744d9081991d595d0d4352996"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v30.2/protoc-30.2-osx-aarch_64.zip",
"etag": "0x8DD6C95ABAC46B8",
"checksum": "92728c650f6cf2b6c37891ae04ef5bc2d4b5f32c5fbbd101eda623f90bb95f63"
}
}, },
"3.30.1": { "3.30.1": {
"x86_64_linux_gnu": { "x86_64_linux_gnu": {

View File

@@ -22,10 +22,36 @@
}, },
"license_markdown": "[MIT](https://github.com/release-plz/release-plz/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/release-plz/release-plz/blob/main/LICENSE-APACHE)", "license_markdown": "[MIT](https://github.com/release-plz/release-plz/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/release-plz/release-plz/blob/main/LICENSE-APACHE)",
"latest": { "latest": {
"version": "0.3.128" "version": "0.3.129"
}, },
"0.3": { "0.3": {
"version": "0.3.128" "version": "0.3.129"
},
"0.3.129": {
"x86_64_linux_musl": {
"etag": "0x8DD6CB3D6A8F77C",
"checksum": "db20ca18ff51fbfd285c3041bfe6abc419c38d627148608c4c5b5c946be393a9"
},
"x86_64_macos": {
"etag": "0x8DD6CB4B35B631A",
"checksum": "285ceffc25bb456f348e603765dfa989c9d049458871c24bf5c6bf9c5af57ed6"
},
"x86_64_windows": {
"etag": "0x8DD6CB490E93459",
"checksum": "92df17cb9096ff77f17228318779f1cd40a6dc612c4256f67a550213e6605f43"
},
"aarch64_linux_musl": {
"etag": "0x8DD6CB3D74A004F",
"checksum": "f218f3ad62984bf3bc97cb355cffa0476c29215bb2801ee3c3732c5da9576707"
},
"aarch64_macos": {
"etag": "0x8DD6CB4DA5D1065",
"checksum": "a4657585f204df6d148379c8689a521eb1bf2683cec75d67c1aa18efe23f7ee0"
},
"aarch64_windows": {
"etag": "0x8DD6CB4973E7E2D",
"checksum": "f1670266002bf5aa2567cf2866357ba443f570e57e1e12577d94d28b6ecf6d0d"
}
}, },
"0.3.128": { "0.3.128": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

24
manifests/typos.json generated
View File

@@ -16,13 +16,31 @@
}, },
"license_markdown": "[MIT](https://github.com/crate-ci/typos/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/crate-ci/typos/blob/master/LICENSE-APACHE)", "license_markdown": "[MIT](https://github.com/crate-ci/typos/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/crate-ci/typos/blob/master/LICENSE-APACHE)",
"latest": { "latest": {
"version": "1.30.2" "version": "1.30.3"
}, },
"1": { "1": {
"version": "1.30.2" "version": "1.30.3"
}, },
"1.30": { "1.30": {
"version": "1.30.2" "version": "1.30.3"
},
"1.30.3": {
"x86_64_linux_musl": {
"etag": "0x8DD6B0F304A78B6",
"checksum": "6ec16ceb87a612c8706437d665783a6194bf98119b245abe40e122c6a04feb94"
},
"x86_64_macos": {
"etag": "0x8DD6B0F408165E9",
"checksum": "9b00ca78d373eabaf0f9d06a9e9719aff6d336dcf5ab39bdc52c16eac978241e"
},
"x86_64_windows": {
"etag": "0x8DD6B0F7183706C",
"checksum": "008bbfe96ab4fbec343cc0a761367c90de42d6049f471f8c0feb1666bd319d02"
},
"aarch64_macos": {
"etag": "0x8DD6B0F40621A3E",
"checksum": "4a62e43c3474ab82818d19982f624b2201595de04737046091e1cde71ad74370"
}
}, },
"1.30.2": { "1.30.2": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

32
manifests/wash.json generated
View File

@@ -3,7 +3,37 @@
"template": null, "template": null,
"license_markdown": "[Apache-2.0](https://github.com/wasmCloud/wasmCloud/blob/main/LICENSE)", "license_markdown": "[Apache-2.0](https://github.com/wasmCloud/wasmCloud/blob/main/LICENSE)",
"latest": { "latest": {
"version": "0.40.0" "version": "0.41.0"
},
"0.41": {
"version": "0.41.0"
},
"0.41.0": {
"x86_64_linux_musl": {
"url": "https://github.com/wasmCloud/wasmCloud/releases/download/wash-v0.41.0/wash-x86_64-unknown-linux-musl",
"etag": "0x8DD68D8B94552DD",
"checksum": "a9141c5f0d70d6e49d1dc5a0e9abc2d2036036d2a948863f91aa048e6dd5d79a"
},
"x86_64_macos": {
"url": "https://github.com/wasmCloud/wasmCloud/releases/download/wash-v0.41.0/wash-x86_64-apple-darwin",
"etag": "0x8DD68D8B94D1256",
"checksum": "5c306d83b97b052329257f99124d8959183195e3f1d32518ca3392abcc363258"
},
"x86_64_windows": {
"url": "https://github.com/wasmCloud/wasmCloud/releases/download/wash-v0.41.0/wash-x86_64-pc-windows-msvc.exe",
"etag": "0x8DD68D8B946D7D6",
"checksum": "dec5234008073f5f9a95e92551808ba19dcf17eab88b64b3b4ae6357bf49e490"
},
"aarch64_linux_musl": {
"url": "https://github.com/wasmCloud/wasmCloud/releases/download/wash-v0.41.0/wash-aarch64-unknown-linux-musl",
"etag": "0x8DD68D8B9377FD1",
"checksum": "208eb1e8a00fc287148600486c030f21dda49b85f4e5dd27b6054705b93bf5dd"
},
"aarch64_macos": {
"url": "https://github.com/wasmCloud/wasmCloud/releases/download/wash-v0.41.0/wash-aarch64-apple-darwin",
"etag": "0x8DD68D8B93758E7",
"checksum": "17bf805068a83ed09b1e22aa9a58fda1bb7f0cb1b6a61f5d02e5296165f1f20a"
}
}, },
"0.40": { "0.40": {
"version": "0.40.0" "version": "0.40.0"

View File

@@ -978,9 +978,9 @@ if [[ -f .cspell.json ]]; then
printf '%s\n' "${config_new}" >|.cspell.json printf '%s\n' "${config_new}" >|.cspell.json
dependencies_words='' dependencies_words=''
if [[ -n "${has_rust}" ]]; then if [[ -n "${has_rust}" ]]; then
dependencies_words=$(npx -y cspell stdin --no-progress --no-summary --words-only --unique <<<"${dependencies}" || true) dependencies_words=$(npx -y cspell@8.17.5 stdin --no-progress --no-summary --words-only --unique <<<"${dependencies}" || true)
fi fi
all_words=$(ls_files | { grep -Fv "${project_dictionary}" || true; } | npx -y cspell --file-list stdin --no-progress --no-summary --words-only --unique || true) all_words=$(ls_files | { grep -Fv "${project_dictionary}" || true; } | npx -y cspell@8.17.5 --file-list stdin --no-progress --no-summary --words-only --unique || true)
printf '%s\n' "${config_old}" >|.cspell.json printf '%s\n' "${config_old}" >|.cspell.json
trap -- 'printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT trap -- 'printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT
cat >|.github/.cspell/rust-dependencies.txt <<EOF cat >|.github/.cspell/rust-dependencies.txt <<EOF
@@ -1000,11 +1000,11 @@ EOF
error "you may want to mark .github/.cspell/rust-dependencies.txt linguist-generated" error "you may want to mark .github/.cspell/rust-dependencies.txt linguist-generated"
fi fi
info "running \`git ls-files | npx -y cspell --file-list stdin --no-progress --no-summary\`" info "running \`git ls-files | npx -y cspell@8.17.5 --file-list stdin --no-progress --no-summary\`"
if ! ls_files | npx -y cspell --file-list stdin --no-progress --no-summary; then if ! ls_files | npx -y cspell@8.17.5 --file-list stdin --no-progress --no-summary; then
error "spellcheck failed: please fix uses of below words or add to ${project_dictionary} if correct" error "spellcheck failed: please fix uses of below words or add to ${project_dictionary} if correct"
printf '=======================================\n' printf '=======================================\n'
{ ls_files | npx -y cspell --file-list stdin --no-progress --no-summary --words-only || true; } | sed "s/'s$//g" | LC_ALL=C sort -f -u { ls_files | npx -y cspell@8.17.5 --file-list stdin --no-progress --no-summary --words-only || true; } | sed "s/'s$//g" | LC_ALL=C sort -f -u
printf '=======================================\n\n' printf '=======================================\n\n'
fi fi